#
# spec file for package attractmode
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           attractmode
Version:        2.1.0
Release:        2.13
Summary:        A graphical frontend for emulators
License:        GPL-3.0
Group:          System/Emulators/Other
Url:            https://attractmode.org
Source:         https://github.com/mickelson/attract/archive/v%{version}.tar.gz
Source100:      attractmode-rpmlintrc
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg8-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  update-desktop-files
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Attract-Mode is a graphical frontend for command line emulators such as MAME,
MESS and Nestopia. It hides the underlying operating system and is intended to
be controlled with a joystick, gamepad or spinner, making it ideal for use
in arcade cabinets.

%prep
%setup -q -n attract-%{version}

%build
make %{?_smp_mflags}

%install
install -D -p -m 644 util/icon.png %{buildroot}%{_datadir}/pixmaps/attractmode.png
%suse_update_desktop_file -c attractmode 'AttractMode' 'AttractMode emulator frontend' attract attractmode Game Emulator
mkdir -p %{buildroot}%{_bindir} # Required for building on Leap 42.1
%make_install prefix=%{_prefix} # Defaults to /usr/local without this

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc License.txt Readme.md
%{_bindir}/attract
%dir %{_datadir}/attract
%{_datadir}/attract/*
%{_datadir}/pixmaps/attractmode.png
%{_datadir}/applications/attractmode.desktop

%changelog
* Sat Jul 16 2016 luke.nukem.jones@gmail.com
- Use the correct license SPDX
- Switch to pkgconfig for rpm build
- v2.1.0.
- Andrew Mickelson (14 commits)
  * Version 2.1.0
  * Issue #227 - randomly select artwork when matches are available from multiple paths
  * Issue #228 - Fixed a couple of bugs when menus (exit, etc) are triggered by a joystick move
  * [windows] Issue #199 - Console hiding is now configurable in attract.cfg. Default is off.
  * [linux] Issue #228 - Fix "Z" and "R" joystick axes
  * Added 6 second timeout when mapping a new input.
  * Issue #225 - fix --build-romlist mame --full when no files found
  * Issue #124 - Added support for hotkey combos
  * [linux] Fixed emulator 'exit hotkey'
  * Issue #167 - Filter by button count.
  * Issue #216 - separate UI menu navigation (up.down,left,right,back,sel)
  * [linux,rpi] Fixes when running emulator (in "Fullscreen Mode")
  * [rpi] Allow changing the window mode setting on the rpi version
  * Issue #215 - fix crash in fe.get_art() when image is missing
- Jeffrey Clark (3 commits)
  * fix build when TR1 enabled
  * support for libavcodec < 55.16
  * replace deprecated AVPicture
